Subject: bug#32183: New ‘guix pull’ /root/.config/current/bin/guix: Permission denied

From: Pjotr Prins <[email-masked]>
Date: Thu, 6 Sep 2018 23:10:33 +0200

On Sun, Sep 02, 2018 at 10:04:32PM +0200, Ludovic Courtès wrote:
> OK.  Do reopen it if it shows up again.

Just to report that I did a successful install on one of those
machines. Starting with a 0.14 guix as root

  guix pull

restarted daemon using the new one in /root/.config/current/bin/

switched to normal user using the guix pointed in that directory

  /gnu/store/47hhyj0l4nk4na09qx1b66sz1wvpx95i-guix-command pull

Next I could run 

  ~/.config/current/bin/guix ...

everything appeared hunky dory until I need to build a package

	/gnu/store/sf84mb2y5vcykwq9fv02l2nipp34qng2-guix-daemon-0.15.0-3.3d43017/libexec/guix/download: line 8: /root/.config/guix/current/bin/guix: Permission denied
	/gnu/store/sf84mb2y5vcykwq9fv02l2nipp34qng2-guix-daemon-0.15.0-3.3d43017/libexec/guix/download: line 8: exec: /root/.config/guix/current/bin/guix: cannot execute: Permission denied
	builder for `/gnu/store/2q486ivskp2vm2rq10rs4pq949zkcz8h-evaluate_0.11.tar.gz.drv' failed with exit code 126
	cannot build derivation `/gnu/store/qaaf8i893x0ivfnw6q19l0rq5gkmlbmj-r-evaluate-0.11.drv': 1 dependencies couldn't be built
	cannot build derivation `/gnu/store/frxjc6iwwflasmj3wcm5s2934mgziaj6-r-fansi-0.3.0.drv': 1 dependencies couldn't be built
	cannot build derivation `/gnu/store/p3d9km0fi423nl66q5ncvkxcnj2kz6bv-r-rsqlite-2.1.1.drv': 1 dependencies couldn't be built
	guix package: error: build failed: build of `/gnu/store/p3d9km0fi423nl66q5ncvkxcnj2kz6bv-r-rsqlite-2.1.1.drv' failed

Again as root I did another guix pull. It instates the same daemon

  /root/.config/guix/current/bin/guix-daemon -> /gnu/store/sf84mb2y5vcykwq9fv02l2nipp34qng2-guix-daemon-0.15.0-3.3d43017/bin/guix-daemon

Now guix pull fails in $USER

  which guix
  /home/wrk/.config/guix/current/bin/guix

  guix pull

	Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
	Building from this channel:
		guix      https://git.savannah.gnu.org/git/guix.git   91cc2a3
	guile: warning: failed to install locale
	substitute: updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
	substitute: updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
	Downloading https://mirror.hydra.gnu.org/guix/nar/gzip/xw7kc681ivcls1lpp0qy0xljljzd70dr-groff-1.22.3...
	 groff-1.22.3  2.7MiB                                                                   1.2MiB/s 00:02 [##################] 100.0%

	/gnu/store/sf84mb2y5vcykwq9fv02l2nipp34qng2-guix-daemon-0.15.0-3.3d43017/libexec/guix/download: line 8: /root/.config/guix/current/bin/guix: Permission denied
	/gnu/store/sf84mb2y5vcykwq9fv02l2nipp34qng2-guix-daemon-0.15.0-3.3d43017/libexec/guix/download: line 8: exec: /root/.config/guix/current/bin/guix: cannot execute: Permission denied
	builder for `/gnu/store/24ag580271wa640529ycykdwj0lk0g6z-curl-7.61.1.tar.xz.drv' failed with exit code 126
	cannot build derivation `/gnu/store/17lw3svpjqygpj739yynyz6b8abddikx-curl-7.61.1.drv': 1 dependencies couldn't be built
	Backtrace:
						18 (primitive-load "/gnu/store/blfsj798qh4i2pmrcvyaidmsdiz?")
	In ice-9/eval.scm:
			155:9 17 (_ _)

Can you think of a way of getting out of this loop? What am I doing wrong here?

Pj.